Page MenuHomePhabricator

[LLDB-MI] Properly detect missing mandatory arguments to MI commands
ClosedPublic

Authored by enlight on Jun 5 2015, 11:45 PM.

Details

Summary

Previously if an MI command had X mandatory and Y optional arguments you could provide X or more optional arguments without providing any of the mandatory arguments, and the argument validation code wouldn't complain.

For example this would pass argument validation even though the mandatory address and count arguments are missing:

-data-read-memory-bytes --thread 1 --frame 0

Part of the problem was that an empty string was considered a valid value for a mandatory argument, which didn't make much sense.

Diff Detail

Repository
rL LLVM

Event Timeline

enlight updated this revision to Diff 27267.Jun 5 2015, 11:45 PM
enlight retitled this revision from to [LLDB-MI] Properly detect missing mandatory arguments to MI commands.
enlight updated this object.
enlight edited the test plan for this revision. (Show Details)
enlight added reviewers: abidh, ki.stfu, domipheus.
enlight set the repository for this revision to rL LLVM.
enlight added subscribers: Unknown Object (MLST), brucem.
ki.stfu accepted this revision.Jun 7 2015, 9:38 PM
ki.stfu edited edge metadata.

lgtm

This revision is now accepted and ready to land.Jun 7 2015, 9:38 PM
abidh accepted this revision.Jun 8 2015, 1:55 AM
abidh edited edge metadata.

Looks good.

This revision was automatically updated to reflect the committed changes.